ome-xml 5.2.3

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
ome::xml::model::primitives::UnitsLength Class Reference

UnitsLength enumeration. More...

`#include <ome/xml/model/primitives/LengthQuantity.h>`

Collaboration diagram for ome::xml::model::primitives::UnitsLength:
[legend]

## Public Types
enum | enum_value { YOTTAMETER, ZETTAMETER, EXAMETER, PETAMETER, TERAMETER, GIGAMETER, MEGAMETER, KILOMETER, HECTOMETER, DECAMETER, METER, DECIMETER, CENTIMETER, MILLIMETER, MICROMETER, NANOMETER, PICOMETER, FEMTOMETER, ATTOMETER, ZEPTOMETER, YOCTOMETER, ANGSTROM, THOU, LINE, INCH, FOOT, YARD, MILE, ASTRONOMICALUNIT, LIGHTYEAR, PARSEC, POINT, PIXEL, REFERENCEFRAME }
| Enumeration values. More...
typedef std::map< std::string, UnitsLength::enum_value > | string_map_type
| String map type.
typedef std::map< UnitsLength::enum_value, std::string > | value_map_type
| Value map type.

## Public Member Functions
| UnitsLength (enum_value value)
| Construct a UnitsLength quantity by an enumeration value. More...
| UnitsLength (const std::string &name, bool strict=true)
| Construct a UnitsLength enumeration by an enumeration name. More...
| UnitsLength (const UnitsLength &original)
| Copy constructor. More...
UnitsLength & | operator= (const UnitsLength &rhs)
| Assignment operator.
| operator enum_value () const
| Cast the enumeration to its value. More...
| operator const std::string & () const
| Cast the enumeration to its name. More...

## Static Public Member Functions
static const string_map_type & | strings ()
| Get a map of valid string names and enum values. More...
static const value_map_type & | values ()
| Get a map of valid enum values and string names. More...

## Static Private Member Functions
static const string_map_type & | lowercase_strings ()
| Get a map of valid lowercased string names and enum values. More...

## Private Attributes
enum_value | value
| Enumeration value.
const std::string * | name
| Enumeration name.

## Detailed Description

UnitsLength enumeration.

## Member Enumeration Documentation

## § enum_value

enum ome::xml::model::primitives::UnitsLength::enum_value

Enumeration values.

Enumerator
YOTTAMETER | yottameter SI unit.
ZETTAMETER | zettameter SI unit.
EXAMETER | exameter SI unit.
PETAMETER | petameter SI unit.
TERAMETER | terameter SI unit.
GIGAMETER | gigameter SI unit.
MEGAMETER | megameter SI unit.
KILOMETER | kilometer SI unit.
HECTOMETER | hectometer SI unit.
DECAMETER | decameter SI unit.
METER | meter SI unit.
DECIMETER | decimeter SI unit.
CENTIMETER | centimeter SI unit.
MILLIMETER | millimeter SI unit.
MICROMETER | micrometer SI unit.
NANOMETER | nanometer SI unit.
PICOMETER | picometer SI unit.
FEMTOMETER | femtometer SI unit.
ATTOMETER | attometer SI unit.
ZEPTOMETER | zeptometer SI unit.
YOCTOMETER | yoctometer SI unit.
ANGSTROM | ångström SI-derived unit.
THOU | thou Imperial unit (or mil, 1/1000 inch).
LINE | line Imperial unit (1/12 inch).
INCH | inch Imperial unit.
FOOT | foot Imperial unit.
YARD | yard Imperial unit.
MILE | terrestrial mile Imperial unit.
ASTRONOMICALUNIT | astronomical unit SI-derived unit. The official term is ua as the SI standard assigned AU to absorbance unit.
LIGHTYEAR | light year.
PARSEC | parsec.
POINT | typography point Imperial-derived unit (1/72 inch). Use of this unit should be limited to font sizes.
PIXEL | pixel abstract unit. This is not convertible to any other length unit without a calibrated scaling factor. Its use should should be limited to ROI objects, and converted to an appropriate length units using the PhysicalSize units of the Image the ROI is attached to.
REFERENCEFRAME | reference frame abstract unit. This is not convertible to any other length unit without a scaling factor. Its use should be limited to uncalibrated stage positions, and converted to an appropriate length unit using a calibrated scaling factor.

## Constructor & Destructor Documentation

## § UnitsLength() [1/3]

ome::xml::model::primitives::UnitsLength::UnitsLength | ( | enum_value | value | ) |

Construct a UnitsLength quantity by an enumeration value.

Parameters

  value | the value of the enumeration.

Referenced by ome::xml::model::primitives::operator>>().

Here is the caller graph for this function:

## § UnitsLength() [2/3]

ome::xml::model::primitives::UnitsLength::UnitsLength | ( | const std::string & | name,
|  | bool | strict = `true`
| ) |  |

Construct a UnitsLength enumeration by an enumeration name.

Exact matching of the name will require the name to match one of the valid enumeration names. Inexact matching will strip leading and trailing whitespace and perform a case-insensitive match. Exact matching is recommended for use in program code which does not process user input; inexact matching is recommended when processing potentially malformed user input.

Parameters

  name | the name of the enumeration.
  strict | true to require an exact name, false to allow an inexact match.

## § UnitsLength() [3/3]

ome::xml::model::primitives::UnitsLength::UnitsLength | ( | const UnitsLength & | original | ) |

Copy constructor.

Parameters

  original | the instance to copy.

## Member Function Documentation

## § lowercase_strings()

static const string_map_type& ome::xml::model::primitives::UnitsLength::lowercase_strings | ( |  | ) |
| staticprivate

Get a map of valid lowercased string names and enum values.

Returns
  a map of lowercased string names to enum values.

## § operator const std::string &()

ome::xml::model::primitives::UnitsLength::operator const std::string & | ( |  | ) | const
| inline

Cast the enumeration to its name.

Returns
  the enumeration value.

References name.

## § operator enum_value()

ome::xml::model::primitives::UnitsLength::operator enum_value | ( |  | ) | const
| inline

Cast the enumeration to its value.

Returns
  the enumeration value.

References value.

## § strings()

static const string_map_type& ome::xml::model::primitives::UnitsLength::strings | ( |  | ) |
| static

Get a map of valid string names and enum values.

Returns
  a map of string names to enum values.

## § values()

static const value_map_type& ome::xml::model::primitives::UnitsLength::values | ( |  | ) |
| static

Get a map of valid enum values and string names.

Returns
  a map of enum values to string names.

The documentation for this class was generated from the following file:

- ome/xml/model/primitives/LengthQuantity.h